From 5627a2be9892c056a4a65055df5e2e5951ed10b8 Mon Sep 17 00:00:00 2001
From: Shugo Maeda <shugo@ruby-lang.org>
Date: Fri, 19 Nov 2010 23:23:00 +0900
Subject: [PATCH 45/51] removed Kernel#overlay_module.

---
 eval.c |   36 ------------------------------------
 1 files changed, 0 insertions(+), 36 deletions(-)

diff --git a/eval.c b/eval.c
index 800dfaa..09db159 100644
--- a/eval.c
+++ b/eval.c
@@ -1116,41 +1116,6 @@ top_include(int argc, VALUE *argv, VALUE self)
 
 /*
  *  call-seq:
- *     overlay_module(klass, mod [, binding])
- *
- *  Append features of <i>mod</i> to <i>klass</i> only in the scope where
- *  <code>overlay_module</code> is called.
- */
-
-static VALUE
-f_overlay_module(int argc, VALUE *argv, VALUE self)
-{
-    VALUE klass, module, binding;
-    NODE *cref;
-
-    rb_scan_args(argc, argv, "21", &klass, &module, &binding);
-    if (NIL_P(binding)) {
-	cref = rb_vm_cref();
-    }
-    else {
-	rb_binding_t *bind;
-	rb_env_t *env;
-
-	if (!rb_obj_is_kind_of(binding, rb_cBinding)) {
-	    rb_raise(rb_eTypeError,
-		     "wrong argument type %s (expected Binding)",
-		     rb_obj_classname(binding));
-	}
-	GetBindingPtr(binding, bind);
-	GetEnvPtr(bind->env, env);
-	cref = rb_vm_get_cref(env->block.iseq, env->block.lfp, env->block.dfp);
-    }
-    rb_overlay_module(cref, klass, module);
-    return Qnil;
-}
-
-/*
- *  call-seq:
  *     using(module)    -> self
  *
  *  Import class refinements from <i>module</i> into the scope where <code>use</code> is called.
@@ -1334,7 +1299,6 @@ Init_eval(void)
 
     rb_define_singleton_method(rb_vm_top_self(), "include", top_include, -1);
 
-    rb_define_global_function("overlay_module", f_overlay_module, -1);
     rb_define_global_function("using", f_using, 1);
 
     rb_define_method(rb_mKernel, "extend", rb_obj_extend, -1);
-- 
1.7.0.4

